<%--
  - Author: hanno
  - Version: 1.0
  - Copyright (C) 2012 TopCoder Inc., All Rights Reserved.
  -
  - Description: This page prints out the load status.
--%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<script type="text/javascript" src="js/jquery-1.8.2.min.js"></script>
<script>
    $(document).ready(updateStatus);

    /**
     * Updates the status of the job. This will be repeated every 2 seconds
     * until the status is 'Aborted' or 'Completed'.
     */
    function updateStatus () {
        $.ajax({
            url : 'uploadStatus.do',
            dataType : 'json',
            success : function (data) {
                $('#status').html(data.status);
                $('#totalEntityCount').html(data.totalEntityCount);
                $('#processedEntityCount').html(data.processedEntityCount);
                $('#failedEntityCount').html(data.failedEntityCount);
                $('#createdDate').html(data.createdDateFormatted);
                $('#completedDate').html(data.completedDateFormatted);
                $('#errorMessage').html(data.errorMessage);

                if (data.status == 'ServerError') {
                    alert(data.errorMessage);
                } else if (data.status != 'Aborted' && data.status != 'Completed') {
                    $('#statusBar').text('Job not finished yet, updating status every 2 seconds...');
                    setTimeout(updateStatus, 2000);
                } else {
                    $('#statusBar').text('');
                }
            },
            error : function (error) {
                $('#statusBar').text('Error updating status: ' + error.statusText + ' (' + error.status + ')');
                alert('Unkonwn server error: ' + error.statusText);
            }
        });
    }
</script>
</head>
<body>
  <h1>FARS Bing Map Mashup</h1>
  <fieldset>
    <legend>Upload FARS Data Job Status</legend>
    <table border="1">
      <tr>
        <td>Status</td>
        <td id="status">N/A</td>
      </tr>
      <tr>
        <td>Total Entity Count</td>
        <td id="totalEntityCount">N/A</td>
      </tr>
      <tr>
        <td>Processed Entity Count</td>
        <td id="processedEntityCount">N/A</td>
      </tr>
      <tr>
        <td>Failed Entity Count</td>
        <td id="failedEntityCount">N/A</td>
      </tr>
      <tr>
        <td>Created Date</td>
        <td id="createdDate">N/A</td>
      </tr>
      <tr>
        <td>Completed Date</td>
        <td id="completedDate">N/A</td>
      </tr>
      <tr>
        <td>Error Message</td>
        <td id="errorMessage">N/A</td>
      </tr>
    </table>
  </fieldset>
  <div id="statusBar"></div>
</body>
</html>
