/*
 * Copyright (C) 2012 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.bingmap.spatial.datasource;

/**
 * Enum of load type.
 *
 * <p>
 * <b>Thread Safety:</b> This enum is thread safe since it is immutable.
 * </p>
 *
 * @author liuliquan, hanno
 * @version 1.0
 */
public enum BingSpatialDataLoadType {
    /**
     * This type means the existing data will be replaced with the newly
     * uploaded data.
     */
    COMPLETE,

    /**
     * This type means if the entity ID of a set of newly uploaded data matches
     * an existing entity ID in the data source, the existing entity data is
     * replaced by the new data. If the new entity ID does not exist, a new
     * entity is created.
     */
    INCREMENTAL
}
