/*
 * Copyright (C) 2012 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.bingmap.spatial.datasource;

/**
 * This exception is thrown by BingSpatialDataSourceManager if failed to upload
 * data or check data source status. It extends Exception.
 *
 * <p>
 * <b>Thread Safety:</b> This class is not thread safe but it will be used in a
 * thread safe manner.
 * </p>
 *
 * @author liuliquan, hanno
 * @version 1.0
 */
public class BingSpatialDataSourceManagementException extends Exception {
    /**
     * A default serialVersionUID.
     */
    private static final long serialVersionUID = 1L;

    /**
     * Constructor with error message.
     *
     * @param message
     *            error message
     */
    public BingSpatialDataSourceManagementException(String message) {
        super(message);
    }

    /**
     * Constructor with error message and root cause.
     *
     * @param message
     *            error message
     * @param cause
     *            cause of the error
     */
    public BingSpatialDataSourceManagementException(String message, Throwable cause) {
        super(message, cause);
    }
}
